### A complete real-time notification system for React apps
![](https://ravenhub-web-assets.s3-us-west-1.amazonaws.com/images/bell-screen.png)

![](https://ravenhub-web-assets.s3-us-west-1.amazonaws.com/images/notification-open-screen.png)

See a [demo here](https://example.ravenhub.io/ "demo here"). Full documentation can be found at [https://docs.ravenhub.io/](https://docs.ravenhub.io/)

This package includes the end-user-facing notification center component. There is an accompanying notification system for generating notifications with a simple REST API which can be found at [https://docs.ravenhub.io/](https://docs.ravenhub.io/)

## Installation

`npm install --save react-notification-center-component`

### Usage
```jsx
import React from 'react';
import NotificationCenter from 'react-notification-center-component';

function App() {
  return (
    <div >
      <NotificationCenter className="myCustomClass" appId="u5O4GI0C8X" subscriberId="foo2"/>
    </div>
  );
}

export default App;
```
####Props
Prop Name | Type | Description
------------ | ------------- | --------------
appId | PropTypes.string |Automatically generated when you sign up. You can find it in the Ravenhub app in the top right corner next to the logout button.
subscriberId | PropTypes.string |The unique ID that you use to identify the user who is logged in. This is how we know who to send notifications to.
className | PropTypes.string | Name for a CSS class to apply to the component (default is 'customClass')

##Analytics
This notification system also includes activity and engagement tracking in the dashboard available at [ravenhub.io](http://ravenhub.io "ravenhub.io")
![](https://ravenhub-web-assets.s3-us-west-1.amazonaws.com/images/dashboard-screen.png)